Package org.drinkless.tdlib

# Class TdApi.MessageVideoNote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageVideoNote

Enclosing class:
  `TdApi`

public static class TdApi.MessageVideoNote extends TdApi.MessageContent
A video note message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isSecret`
  True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.
  `boolean`
  `isViewed`
  True, if at least one of the recipients has viewed the video note.
  `TdApi.VideoNote`
  `videoNote`
  The video note description.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageVideoNote()`
  A video note message.
  `MessageVideoNote(TdApi.VideoNote videoNote, boolean isViewed, boolean isSecret)`
  A video note message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### videoNote

    public TdApi.VideoNote videoNote
    The video note description.

  - ### isViewed

    public boolean isViewed
    True, if at least one of the recipients has viewed the video note.

  - ### isSecret

    public boolean isSecret
    True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageVideoNote

    public MessageVideoNote()
    A video note message.

  - ### MessageVideoNote

    public MessageVideoNote(TdApi.VideoNote videoNote, boolean isViewed, boolean isSecret)
    A video note message.
    Parameters:
      `videoNote` - The video note description.
      `isViewed` - True, if at least one of the recipients has viewed the video note.
      `isSecret` - True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR